'Simulations Table 1
' Testing for short and long run causality, a frequency domain approach
wfcreate u 1 507
mode quiet
!s=10000 'Simulations
!loop=0
for !i=0.5 to 3 step 0.5 'C values
	!loop=!loop+1
	matrix(!s,3) results!loop=0
	for !j=1 to !s 'Simulations
		genr y=rnd*(12)^(1/2) 'With normal "nrnd"
		genr x=y(-1)-2*@cos((@acos(-1)/4+!i/((500)^(1/2))))*y(-2)+y(-3)+rnd*(12)^(1/2) 'With normal errors "nrnd"
		speccaus(variables=x y,slag=3)
		results!loop(!j,1)=data(64,2) 		'w=pi/4
		d data causality
		genr x=y(-1)-2*@cos((@acos(-1)/2+!i/((500)^(1/2))))*y(-2)+y(-3)+rnd*(12)^(1/2) 'With normal errors "nrnd"
		speccaus(variables=x y,slag=3)
		results!loop(!j,2)=data(127,2)	'w=pi/2
		d data causality
		genr x=y(-1)-2*@cos((3*@acos(-1)/4+!i/((500)^(1/2))))*y(-2)+y(-3)+rnd*(12)^(1/2) 'With normal errors "nrnd"
		speccaus(variables=x y,slag=3)	
		results!loop(!j,3)=data(190,2)	'w=3pi/4
		d data causality
		statusline Simulation: !j    C value: !i
	next
next
for !i=1 to 6
	for !j=1 to !s
		for !k=1 to 3
			if results!i(!j,!k)<=0.05 then
				results!i(!j,!k)=1
				else
				results!i(!j,!k)=0
			endif
		next
	next
next


